Disabling python3 as python3-ruamel-ordereddict not available


Fixed python2-typing runtime dependency issue

This update has been submitted for testing by chandankumar.

4 years ago

This update has obsoleted python-ruamel-yaml-0.12.14-2.fc24, and has inherited its bugs and notes.

4 years ago

This update has been pushed to testing.

4 years ago

This update has reached 7 days in testing and can be pushed to stable now if the maintainer wishes

4 years ago
User Icon jchaloup commented & provided feedback 4 years ago
karma

import ruamel.yaml throws a traceback.

Installing the ruamel.yaml via pip and importing it works.

User Icon jchaloup commented & provided feedback 4 years ago

Ok, the python2-typing is the culprit. The python-ruamel-yaml should (build)require at least 3.5.2.2-2. So keeping the negative karma here. At the same time python2-typing-3.5.2.2-2 is not yet built in f24. So either it needs updating or this update needs to be canceled.

With python2-typing-3.5.2.2-2 installed I was able to import ruamel.yaml and was able to run examples from https://yaml.readthedocs.io/en/latest/example.html successfully.

User Icon smilner commented & provided feedback 4 years ago
karma

Verified this fails on Fedora 24

TypeError: Union[arg, ...]: each arg must be a type. Got <class StringIO.StringIO at 0x7f1659a8bf58>.
BZ#1386563 Review Request: python-ruamel-yaml - YAML 1.2 loader/dumper package for Python

Please login to add feedback.

Metadata
Type
newpackage
Karma
-2
Signed
Content Type
RPM
Test Gating
Settings
Unstable by Karma
-3
Stable by Karma
3
Stable by Time
disabled
Dates
submitted
4 years ago
in testing
4 years ago
BZ#1386563 Review Request: python-ruamel-yaml - YAML 1.2 loader/dumper package for Python
-1
0

Automated Test Results